Create Session (with login)
curl --request POST \
--url https://api.themoviedb.org/3/authentication/token/validate_with_login \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "test123",
"request_token": "9cd2a6e7bb16e67e55bc695c87d9d63e0727057b",
"username": "johnny_appleseed"
}
'import requests
url = "https://api.themoviedb.org/3/authentication/token/validate_with_login"
payload = {
"password": "test123",
"request_token": "9cd2a6e7bb16e67e55bc695c87d9d63e0727057b",
"username": "johnny_appleseed"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
password: 'test123',
request_token: '9cd2a6e7bb16e67e55bc695c87d9d63e0727057b',
username: 'johnny_appleseed'
})
};
fetch('https://api.themoviedb.org/3/authentication/token/validate_with_login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expires_at": "2024-12-14 17:06:53 UTC",
"request_token": "9cd2a6e7bb16e67e55bc695c87d9d63e0727057b",
"success": true
}AUTHENTICATION
Create Session (with login)
This endpoint create the session id with its login details.
POST
/
3
/
authentication
/
token
/
validate_with_login
Create Session (with login)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
create session (with login)
⌘I